import { CommandDefinition, DefaultCodiconStrings } from '.';
import type { Disposable } from 'vscode';
export declare const autoRegisterFunctionNames: string[];
export declare function registerCommandPaletteCommandregisterCommand(command: string, callback: (...args: unknown[]) => unknown, thisArg?: unknown): Disposable;
export declare function autoRegisterCommand<C extends string = DefaultCodiconStrings>(command: string, callback: (...args: unknown[]) => unknown, commandDefinitions: Record<string, CommandDefinition<C>>, thisArg?: unknown): Disposable;
export declare const createAutoRegisterCommandName = "createAutoRegisterCommand";
export declare function createAutoRegisterCommand<C extends string = DefaultCodiconStrings>(commandDefinitions: Record<string, CommandDefinition<C>>): (command: string, callback: (...args: any[]) => any, thisArg?: any) => Disposable;
