import { Inputs, IO } from './lib/types';
/**
 * Validate with given settings. Can be called in three ways:
 * * With pre-parsed inputs fully passed.
 * * With raw commandline input
 * * With no input, in which case argv is used
 */
export declare function validate(inputs: Inputs): void;
export declare function validateFromIO(io: IO): Promise<void>;
export declare function validateFromArgv(): Promise<void>;
